## gcc-avr 4.8.1+Atmel3.4.5-1

=== debian/changelog ===
gcc-avr (1:4.8.1+Atmel3.4.5-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 01 Apr 2015 20:12:15 +0200

gcc-avr (1:4.8.1+Atmel3.4.4-2) unstable; urgency=medium

  * Reduced sugestion on gcc-4.8 to gcc (>= 4:4.8) (closes: #751301)

 -- Hakan Ardo <hakan@debian.org>  Mon, 04 Aug 2014 12:29:37 +0200

gcc-avr (1:4.8.1+Atmel3.4.4-1) unstable; urgency=medium

  * New upstream release from Atmel-AVR-GNU-Toolchain v3.4.4
    (http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-
    Toolchain/3.4.4/)
  * Removed dh_undocumented
  * Include full copyright statement
  * Added ${misc:Depends} dependency
  * Added build-arch and build-indep targets
  * Run dh_autoreconf during build (closes: #744576)

 -- Hakan Ardo <hakan@debian.org>  Sun, 01 Jun 2014 21:53:21 +0200
