=== debian/control ===
Source: gcc-avr
Section: devel
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.9.5
Build-Depends: m4, autoconf2.64, libtool, gawk, bzip2, binutils-avr (>= 2.24+Atmel3.4.5), bison, flex, gettext, texinfo, zlib1g-dev, debhelper (>= 4.2.10), tar (>= 1.13.18), automake1.11, libmpfr-dev, lsb-release, patchutils, libmpc-dev, dpkg (>= 1.16.2), dh-autoreconf
Build-Conflicts: libgcc0, libgcc300

Package: gcc-avr
Architecture: any
Section: devel
Priority: extra
Conflicts: avr-libc(<=1:1.7.1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-avr (>= 2.24+Atmel3.4.4)
Provides: c-compiler-avr
Suggests: task-c-devel, gcc-doc (>= 4:4.8), gcc (>= 4:4.8), avr-libc(>=1:1.8.0-4)
Description: GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
