=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

TARGET=avr
TARGET_ARCH=avr
PACKAGE=gcc-avr

CONFARGS = -v \
    --enable-languages=c,c++ \
    --prefix=/usr/lib \
    --infodir=/usr/share/info \
    --mandir=/usr/share/man \
	--bindir=/usr/bin \
	--libexecdir=/usr/lib \
	--libdir=/usr/lib \
    --enable-shared \
    --with-system-zlib \
    --enable-long-long \
    --enable-nls \
    --without-included-gettext \
	--disable-libssp \
    --build=$(DEB_BUILD_GNU_TYPE) \
    --host=$(DEB_HOST_GNU_TYPE) \
    --target=$(TARGET) 
#    $(shell dpkg-buildflags --export=configure) 

srcdir=src

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

TAR_DIR=gcc-*

patch-source: $(patch_stamp)

clean-source:
	rm -rf $(stampdir)
	rm -rf $(gcc_srcdir) $(gdc_srcdir) d
	rm -rf bin
	rm -rf $(srcdir)


unpack: unpack-stamp
unpack-stamp:
	tar xf avr-gcc-*.tar.bz2
	mv gcc src
	touch unpack-stamp

BUILD_TREE=src

patched-stamp:=$(STAMP_DIR)/patched-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do \
		echo Applying $$p; \
		patch -p0 < ../debian/$$p; \
	done
	touch patch-stamp

configure: configure-stamp
configure-stamp: $(unpack_stamp) patch-stamp
	dh_testdir
	rm -f $(BUILD_TREE)/gcc/doc/*.1
	rm -f $(BUILD_TREE)/gcc/doc/*.info
	AUTOM4TE=autom4te2.64 AUTOCONF=autoconf2.64 AUTOMAKE=automake1.11 dh_autoreconf
	mkdir -p objdir
	# Add here commands to configure the package.
	cd objdir && env CC="gcc" `echo ../$(BUILD_TREE)`/configure $(CONFARGS) 
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp: patch-stamp
	dh_testdir

	# Add here commands to compile the package.
	cd objdir && $(MAKE)
	#/usr/bin/docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch build-stamp

build-indep: build
build-arch: build

clean: clean-source
	dh_testdir
	dh_testroot
	dh_autoreconf_clean
	rm -f build-stamp configure-stamp patch-stamp unpack-stamp
	rm -rf objdir

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	echo install: > objdir/fixincludes/Makefile
	cd objdir && $(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)/

	#rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
	#ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
	ln -s avr-g++.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.3.0.gz
	install -m644 debian/avr-gccbug.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
	gzip -9 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1

	cd debian/$(PACKAGE)/usr/ && \
	rm -rf bin/gcov bin/gccbug share/man/man1/gcov.1* \
	lib*/libiberty.a share/info share/man/man7/gfdl.7* \
	share/man/man7/gpl.7* share/man/man7/fsf-funding.7* \
	share/locale bin/*c++filt lib/avr \
	share/man lib/share lib/include 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -n
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip -X.a -X.o
	for f in `find debian/$(PACKAGE) -name '*.a*'`; do \
	  avr-strip --strip-debug $$f; \
	done
	dh_compress 
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
#	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
