## gcc-avr 5.4.0+Atmel3.6.2

=== debian/changelog ===
gcc-avr (1:5.4.0+Atmel3.6.2-6) unstable; urgency=medium

  * Remove unnecessary constraints
  * Update to autoconf2.69

 -- Bastian Germann <bage@debian.org>  Mon, 26 Jun 2023 23:42:47 +0200

gcc-avr (1:5.4.0+Atmel3.6.2-5) unstable; urgency=medium

  * Basic file clean-up for source format switch
  * Convert to source format 3.0 (quilt)
  * d/copyright: Remove outdated URL

 -- Bastian Germann <bage@debian.org>  Mon, 26 Jun 2023 13:58:20 +0200

gcc-avr (1:5.4.0+Atmel3.6.2-4) unstable; urgency=medium

  * Remove versions from automake, tar, dpkg B-D (Closes: #865163)
  * Adopt package (Closes: #969203)

 -- Bastian Germann <bage@debian.org>  Thu, 22 Jun 2023 22:45:53 +0200

gcc-avr (1:5.4.0+Atmel3.6.2-3) unstable; urgency=medium

  * Disable libcc1 (closes: #1003030)
  * Bump debhelper compat to 7 (closes: #965539)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 10:59:48 +0100

gcc-avr (1:5.4.0+Atmel3.6.2-2) unstable; urgency=medium

  * Applied patch from Rafael Laboissière <rafael@debian.org> fixing gcc-
    11 compile error (closes: #984148)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Nov 2021 10:08:16 +0100

gcc-avr (1:5.4.0+Atmel3.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Tue, 14 Jan 2020 20:31:47 +0100

gcc-avr (1:5.4.0+Atmel3.6.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Hakan Ardo ]
  * Applied upstream patch
    https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=261621
    removing illegal coercion of an unaligned pointer value (closes:
    #914913)

 -- Hakan Ardo <hakan@debian.org>  Thu, 27 Dec 2018 21:06:12 +0100

gcc-avr (1:5.4.0+Atmel3.6.1-1) unstable; urgency=medium

  * New upstream release
  * No longer suggests task-c-devel (closes: #898195)
  * No longer forces CC=gcc (closes: #899120)

 -- Hakan Ardo <hakan@debian.org>  Tue, 26 Jun 2018 08:46:09 +0200

gcc-avr (1:5.4.0+Atmel3.6.0-1) unstable; urgency=medium

  * New upstream release (closes: #798205)
  * Package now maintained in a git repository set up by
    Gioele Barabucci <gioele@svario.it>

 -- Hakan Ardo <hakan@debian.org>  Thu, 27 Jul 2017 14:03:57 +0200

gcc-avr (1:4.9.2+Atmel3.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Tue, 04 Apr 2017 20:07:00 +0200

gcc-avr (1:4.9.2+Atmel3.5.3-1) unstable; urgency=medium

  * New upstream release
  * Applied patch upstream patch
    https://gcc.gnu.org/git/?p=gcc.git;a=commitdiff;h=ec1cc0263f156f706
    93a62cf17b254a0029f4852 to support compilation with gcc 6 (closes:
    #831174)

 -- Hakan Ardo <hakan@debian.org>  Sun, 28 Aug 2016 19:45:37 +0200

gcc-avr (1:4.9.2+Atmel3.5.0-1) unstable; urgency=medium

  * New upstream release (closes: #790103)

 -- Hakan Ardo <hakan@debian.org>  Sun, 06 Dec 2015 12:52:43 +0100
