=== debian/control ===
Source: gcc-avr
Section: devel
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Standards-Version: 3.9.5
Build-Depends:
 m4,
 autoconf2.69,
 libtool,
 gawk,
 bzip2,
 binutils-avr (>= 2.26.20160125+Atmel3.6.2),
 bison,
 flex,
 gettext,
 texinfo,
 zlib1g-dev,
 debhelper (>= 7),
 tar,
 libmpfr-dev,
 lsb-release,
 libmpc-dev,
 dh-autoreconf
Build-Conflicts: libgcc0, libgcc300
Vcs-Browser: https://salsa.debian.org/debian/gcc-avr
Vcs-Git: https://salsa.debian.org/debian/gcc-avr.git

Package: gcc-avr
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-avr (>= 2.26.20160125+Atmel3.6.2)
Provides: c-compiler-avr
Suggests: gcc-doc (>= 4:4.8), gcc, avr-libc (>= 1:2.0.0+Atmel3.6.2)
Description: GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
