## gcc-avr 7.3.0%2BAtmel3.7.0

=== debian/changelog ===
gcc-avr (1:7.3.0+Atmel3.7.0-1) unstable; urgency=low

  * New Maintainer (closes: #1051419)  
  * New upstream release
  * debian/control: Increase Standards-Version to 4.6.2
  * debian/control: Increase compat level to 13
  * debian/control: autoconf2.69 changed to autoconf
  * debian/copyright: Update to DEP5 format

 -- Steve Meliza <swm@swm1.com>  Fri, 27 Oct 2023 22:26:42 -0700
