## gcc-avr 7.3.0+Atmel3.7.0

=== debian/control ===
Source: gcc-avr
Section: devel
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Build-Depends:
 debhelper-compat (= 13),
 m4,
 autoconf,
 libtool,
 gawk,
 bzip2,
 binutils-avr (>= 2.26.20160125+Atmel3.7.0),
 bison,
 flex,
 gettext,
 texinfo,
 zlib1g-dev,
 libmpfr-dev,
 lsb-release,
 libmpc-dev
Standards-Version: 4.6.2
Homepage: https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers
Rules-Requires-Root: no
Build-Conflicts: libgcc0, libgcc300
Vcs-Browser: https://salsa.debian.org/debian/gcc-avr
Vcs-Git: https://salsa.debian.org/debian/gcc-avr.git

Package: gcc-avr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-avr (>= 2.26.20160125+Atmel3.6.2)
Suggests: gcc-doc (>= 4:4.8), gcc, avr-libc (>= 1:2.0.0+Atmel3.6.2)
Provides: c-compiler-avr
Description: GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
