=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
     --build=$(DEB_BUILD_GNU_TYPE) \
     --host=$(DEB_HOST_GNU_TYPE) \
     --target=$(TARGET) \
+	--enable-host-pie \
     $(shell dpkg-buildflags --export=configure | sed -e 's/-Werror=format-security//g')
 
 srcdir=gcc
@@ -36,7 +37,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	AUTOM4TE=autom4te2.69 AUTOCONF=autoconf2.69 dh_autoreconf
+	AUTOM4TE=autom4te AUTOCONF=autoconf dh_autoreconf
 	mkdir -p $(BUILD_TREE)
 	# Add here commands to configure the package.
 	cd $(BUILD_TREE) && env `echo ../$(srcdir)`/configure $(CONFARGS)
@@ -67,7 +68,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
@@ -77,7 +78,7 @@
 	#rm debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1
 	#ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-g++.1.gz
 	ln -s avr-g++.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-c++.1.gz
-	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-4.3.0.gz
+	ln -s avr-gcc.1.gz debian/$(PACKAGE)/usr/share/man/man1/avr-gcc-5.4.0.gz
 	install -m644 debian/avr-gccbug.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
 	gzip -9 debian/$(PACKAGE)/usr/share/man/man1/avr-gccbug.1
 
@@ -116,12 +117,13 @@
 	done
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs
+#	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
 #	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
 	dh_gencontrol
+	dh_lintian
 	dh_md5sums
 	dh_builddeb
