=== debian/watch ===
version=4
opts="dversionmangle=s/7\.3\.0\+Atmel//" \
https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers \
https://ww1.microchip.com/downloads/aemDocuments/documents/DEV/ProductDocuments/SoftwareTools/avr8-gnu-toolchain-(.+)\..+-linux\.any\.x86_64@ARCHIVE_EXT@
