## gcc-avr 14.2.0

=== debian/changelog ===
gcc-avr (1:14.2.0-2) unstable; urgency=medium

  [ Keith Packard ]
  * Revert patch leading to code size increase. Closes: #1086319.

 -- Steve Meliza <swm@swm1.com>  Wed, 30 Oct 2024 20:03:32 -0700

gcc-avr (1:14.2.0-1) unstable; urgency=low
  * Switch to mainstream gcc (closes: #932989, #917390, #808396, #719728)
  * d/rules: Enable Rust support.

 -- Steve Meliza <swm@swm1.com>  Fri, 25 Oct 2024 19:35:40 -0700

gcc-avr (1:7.3.0+Atmel3.7.0-2) unstable; urgency=high

  * Update to autoconf2.72 (closes: #1080109)
  * debian/control: Increase Standards-Version to 4.7.0

 -- Steve Meliza <swm@swm1.com>  Fri, 30 Aug 2024 17:38:21 -0700
