=== debian/control ===
Source: gcc-avr
Section: devel
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Build-Depends:
 debhelper-compat (= 13),
 m4,
 autoconf2.69,
 libtool,
 gawk,
 bzip2,
 binutils-avr,
 gcc-14-source (>=14.2.0),
 bison,
 flex,
 gettext,
 texinfo,
 zlib1g-dev,
 libmpfr-dev,
 lsb-release,
 libmpc-dev,
 cargo
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.gnu.org/s/gcc/
Build-Conflicts: libgcc0, libgcc300
Vcs-Browser: https://salsa.debian.org/debian/gcc-avr
Vcs-Git: https://salsa.debian.org/debian/gcc-avr.git

Package: gcc-avr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-avr
Suggests: gcc-doc, gcc, avr-libc
Provides: c-compiler-avr
Description: GNU C compiler (cross compiler for avr)
 This is the GNU C compiler, a fairly portable optimizing compiler which
 supports multiple languages.  This package includes support for C.
