=== debian/watch ===
version=4

https://salsa.debian.org/toolchain-team/gcc/tags?sort=updated_desc .*tags/(.+)-.
